V1.5.9.0
	Re-compile for KSP 1.11.x
	Added EVA Construction settings for parts.
	Fix ScanSat integration.
	Fixed AmpYear KSPedia page.
V1.5.8.0
	Re-compile for KSP 1.10.x
	Fix Near Future Solar panels (curved) integration. Thanks @siteonfly for pointing that one out.
V1.5.7.0
	Re-compile for KSP 1.9.x
	Fixed errors in the Settings UI screen at the KSC.
V1.5.6.0
	Re-compile for KSP 1.8.x
V1.5.5.0
	Re-compile for KSP 1.7.0
	Changed Out of EC dialog in flight to be non-modal.
V1.5.4.0
	Re-compile for KSP 1.6.1
	Fixed UI tooltips showing behind the actual AmpYear UI.
V1.5.3.0
	Re-compile for KSP 1.5.1
V1.5.2.0
	Re-compile for KSP 1.4.1
V1.5.1.0
	Re-compile for KSP 1.3.1
V1.5.0.0 "Converters"
	Fix bug with detecting the correct status for Resource Converters.
	Fix log spam for unsupported USI LS version installed. Now you will get only one log message and then AmpYear will stop processing USI LS parts.
V1.4.9.0 "Bugs"
	Fixed log spam in editor. (SPH/VAB)
	Fixed Dark Side calcs.
	Added support for DSEV mod.
V1.4.8.0 "Do you Speaka my Language?"
    Localization ready - All languages appear in English. But looking for volunteers to translate. ;)
	(This also means the Planet names now don't show the language tags in the DarkSide UI windows.)
	Added Part highlighting Functionality. Part Highlight Colors can be set in the Settings window at the KSC.
	Clicking on a PartModule Name in the ShowParts List in the VAB/SPH or in Flight will highlight that part (until you click it again).
	Added support for Kopernicus Solar Panels.
	Re-added USI LS and MKS support (didn't test it as I don't use these mods myself) - Thanks to Ormira for this.
V1.4.7.0 "KSP 1.3"
	Changes for KSP 1.3.0
V1.4.6.0 "More Fixes"
	Fix integration for TAC LS Generic Converter spamming log in the Editors.
	Fix SAS & Reaction wheel processing.
	Changed SI display units to W.s, kW.s, MW.s
	Fix RTG reporting in Editor as previous fix to correct inflight reporting actually broken when in the editor
V1.4.5.0 "Fix Time"
	Fix handling of ModuleGenerator and ModuleAlternator.
	Fixed a big bug where EC calculation/displays were not taking Unity Fixed Delta Time into consideration correctly resulting
	in all inputs and outputs being incorrectly reported in flight.
	Fix handling of TAC LS command modules - Life Support. Was incorrectly including some Probes and miscalculating on vessels with multiple crewable modules.
	Fix issue with Remote Tech integration.
V1.4.4.0 "KSP1.2.2"
	Changes for KSP 1.2.2
	Changes for ResourceConverters.
	Fixed issue with crew list not getting correct list. https://github.com/JPLRepo/AmpYear/issues/56
	Fixed RemoteTech integration. https://github.com/JPLRepo/AmpYear/issues/54	
	Removed partial USI LS support. - USI LS has moved to VesselModule's (an internal KSP construct) which AmpYear does not support without major
	rework. Sorry but seeing how I don't personally use it, and the work involved to update AmpYear to support this I have decided to removed partial support for it until such time as it can be fixed. https://github.com/JPLRepo/AmpYear/issues/55	
V1.4.3.0 "and More Fixes"
	Fix NFE interfaces.
	Fix KAS interfaces.
V1.4.2.0 "More Fixes"
	Fix AVC version checking file. https://github.com/JPLRepo/AmpYear/issues/50
	Add scanSAT ModuleSCANResourceScanner support. https://github.com/JPLRepo/AmpYear/issues/43
	Fix conflict when AmpYear and Contract Configurator and KSP Interstellar intalled.
V1.4.1.0 "KSP 1.2 Fixes"
	Fix KSPedia package errors on loading.
	Fix TAC LS integration. https://github.com/JPLRepo/AmpYear/issues/48
	Fix IndexOutOfRangeException on Loading new vessels. https://github.com/JPLRepo/AmpYear/issues/47
	Added Setting to turn on/off EC monitoring usage by AmpYear. (On by default). https://github.com/JPLRepo/AmpYear/issues/46
	Performance improvement - changed Vessel checking to now all be event driven.
	Added Plane and Relay to tracked vessel types (woops).
V1.4.0.0 "KSP 1.2"
	Changes and re-compile to work in KSP 1.2.
	Needs much more clean-up and an optimization pass to take advantage of new KSP 1.2 API features in the next version.
	Removed the Power Turn (Turn Booster) SAS feature.
V1.3.6.0 "ScanSAT fixes & Dark-Side Calcs"
	Fixes for ScanSAT v16.4 and above as scanSAT changed the way it handles EC internally. (https://github.com/JPLRepo/AmpYear/issues/40)
	Added calculation and display for Dark-Side window for on the surface of selected CelestialBody (in addition to the current in orbit calculation). (https://github.com/JPLRepo/AmpYear/issues/39)
	Fixed bug in Dark-Side window not showing the Deficit/Surplus correctly (which I think I messed up in V1.3.5)
	KSPedia Pages amended for above updates.
V1.3.5.0 "Realism Overhaul"
	Compatible with Realism Overhaul.
	Added Toggle Button in the top right corner of the Show Parts List window. this toggle will change the display to show Stock EC units or SI units
	(Système international d'unités) showing EC converted to Watts, kiloWatts and megaWatts. (for better Realism Overhaul compatibility). 
	Fixed bug:- ModuleCommand not showing EC usage.	
	Fixed ModuleResourceConverter to include Heat Throttle and Efficiency where the part uses it. (EG: USI reactors).
	Fixed ModuleEnginesFX to correctly show EC usage for ION engines in editor.
	Enabled Reserve Power functions in the AmpYear menu for RemoteTech users. You can transfer Reserve Power to Mains even if there is no RemoteTech connection to the vessel.
	This is temporary fix until I can work on better integration with RemoteTech.
	
V1.3.4.0 "Some fixes"
	Fix integration with USI-LS Life Support module  (https://github.com/JPLRepo/AmpYear/issues/32)
	Fixed support for ModuleResourceConverter - new Status - Operational in KSP 1.1.3 that I missed. (https://github.com/JPLRepo/AmpYear/issues/33)
	Some further performance and garbage improvements.
v1.3.3.0 "ksp 1.1.3"
	Re-compile for KSP 1.1.3.

V1.3.2.0 "Post-Mega Update Tweaks & Fixes"
	Merged Dark-Side and Solar SOI windows into a single window.
	Mega efficiency code clean-up. Reduce Garbage generation and CPU overhead.
	Persist the IsolateReservePower button setting for each vessel between scenes and save/load.
	Changed the PartsList screen to change colors(colours) and not include in totals on the parts list for parts you exclude from the AmpYear calcs.
	Changed the PartsList screen to show each part's Title rather than the internal KSP part name.
	Prevent Click-Through of AmpYear GUI Windows.
	Added ESP support for IONRCS parts.
	Added EC usage support for Kerbalism mod parts - Scrubber, Greenhouse, GravityRing (basic as some parts do not expose EC usage currently, ESP Shutdown only support for these parts).
	Fixed bug not saving default ESP settings for modules in Space Center settings screen.
	Added support for Near Future Propulsion modules. (No ESP Support).
	Fixed support for all Near Future Electrical modules. (No ESP Support).
	Added Gray(Grey) Icons which will appear when you turn AmpYear Manager OFF in flight (no more free Alert Icons).
	Added KSPedia pages for AmpYear.
	
V1.3.0.0 "KSP 1.1.1+ Mega Edition"
	ION RCS and PPT RCS parts have been split off to their own separate Mod distributable and are no longer part of this mod, this mod will support them if installed separately.
	Added Stored EC and ReservePower to Dark-Side calculation window. (can be toggled on and off).
	Added Support for Remote Tech - If you have RemoteTech installed AmpYear functions will be disabled automatically if you have no connection or local control and restored when you do.
	Total EC and ReserverPower on-board reported by AmpYear will now respect the flowstate of the resource on each part, so if you turn off the flowstate little tick boxes
	in the Part right click menu they will not be reported by AmpYear.
	Added support for stock Active Radiator, Enviro Sensor EC usage.
	Added support for DeepFreeze (can't believe my mod didn't support another of my mods. This slipped through the cracks).
	Added support for KPBS and USI LS mods.
	Fixed TAC LS GenericConverter rates to include the conversionRate variable. - But next version will look to change this to take advantedge of new GameEvents in 1.1.
	New Solar Panel algorithm for editor (VAB/SPH). Ability to select different SOI for solar panel estimates. Solar Panel usgae in the VAB/SPH will now use an approxiamation
	based on the select celestial body (default is home planet) that you can change via a new GUI window. 
	
	Vastly Expanded Emergency Shutdown Procedure process (ESP), which of course can be turned on or off in the AmpYear flight window.
	As of this release ESP still only processes for the active vessel in flight mode. Planned future background processing is in the works.
	Added a GUI window and processing for Emergency Shutdown Procedure (ESP). 
	You can now select which parts are automatically shutdown when the ESP is activated and set a priority setting for each type. 
	There are three Priorities High, Medium and Low.
	All supported Parts are included in this list by default. If you are using mods like RemoteTech you probably want to change this setting for an antenna to ensure you keep your
	connection during Emergency power down, or not. 
	By default when power is re-gained within the vessel and the ESP was previously triggered to deactivate then parts that were previously active will be automatically
	re-activated by the system progressively by priority as power returns to the vessel. 
	Currently the following parts are NOT supported by the ESP, simply because the mods or stock parts do not provide an ability for AmpYear to 
	turn them on or off.	ScienceLabs, the KAS winch and magnet.
	For TAC LS and USI LS - ESP will not deactivate Life Support but will deactivate TACLS converter units.
	You can Execute ESP processing manually (manual override button in the GUI) which will cause all parts to be shutdown regardless of their priority setting and the current EC status.
	Added Settings config file items to the config file and settings GUI window to control the ESP functions.
	There are three new Settings to set the Percentage of Main Power that EPS will kick in for High, Medium and Low priority partmodules.
	ESP processing will automatically Shutdown Or Restart part modules (that are tagged as include in ESP processing) when Main Power reaches these three settings.
	Also in the Settings menu will be a list of all ESP supported partmodules. Here you can set the default setting for each module as to whether you want
	them included in ESP processing or not and their priority (High, Medium, Low) if you do set their Include in ESP setting on.
	You will also find a Cool Down setting (in seconds) that applies after ESP processing (to stop fast recycling) the minimum value is 30 seconds.

	Added ToolTips for all the GUI windows and Icons, but future versions will look to take advantedge of new Unity 5 GUIs.	
	Added Alternate Resource Panel Icons for ReservePower.
	Massive Re-Factor of a lot of the internal code and utilities (Code Housekeeping).
	No longer requires AYInterfaces.dll or KKInterfaces.dll

V1.2.0.0 Added EC Producer parts to Dark-Side Calculation window. Solar Panels are automatically excluded for power calculations while you have the Dark-Side Calculation window open. When you close the Dark-Side Calculation window Solar Panels are reset to their previous selection state (it remembers if you had them selected or not).
	Added support for ToggleFuelCell mod, which is a tiny mod that changes the Fuel Cells from ModuleResourceConverter to it's own ModuleFuelCell (which is just a wrapped ModuleResourceConverter). When using this mod Fuel Cells are now handled.
	Fixed bug with Alternators and updated to handle negative power alternators (ie. Atomic Age Rockets).
	Changed PartsList to provide a break-up of parts that contain multiple modules that consume or produce EC.
	Corrected EC usage for AmpYears own ION and PPT RCS parts in the editor.
	Implemented colour coded Icons - Green will always appear in the SpaceCenter (will look to see if possible to change the colour based on any of your active vessels EC status in a future release).
	It's fairly rudimentary for this version, happy to look at any feedback anyone has.
	In flight colour will change for the active vessel from Green to Yellow to Red and back again based on EC status.
	Default ReservePower on all Probes and Pods has been boosted from 50 to 80 units. 
	If you have RealismOverhaul installed the default ReservePower on all Probes and Pods is now 2000 units (haven't fully tested game balance, so happy to change this based on feedback).
V1.1.1.0 Fixed bug in reported EC usage for MobileProcessingLab and anything else that uses ModuleScienceLab partmodule. 
V1.1.0.0 Added toggle button next to each part in the PartsList that toggles whether that part is used in EC consumption/production calculations.
	Added Dark-Side Calculations GUI. This allows you to select a Celestial Body, Input a Target Orbit height and AmpYear will calculate the dark-side period in Hours:Mins:Secs and also show you the amount of EC you would
	require to run all vessel parts that consume EC for that period (it Does NOT include any Power Production parts in this calculation).
	Added Mains time and Reserve Time displays to Ampyear Main screen that now show the Time remaining for mains and reserve power batteries based on current stored in each set and EC production and consumption.
	Removed restriction on timewarp - previously if you were running on Reserve Power and tried to time-warp above 50x AmpYear would cancel time-warp. this restriction will no longer apply.
V1.0.5.0 Updated for KSP 1.0.5.
V1.0.4.0 Added Engineers Report in Editor to Provide Information report if Vessel ElectricCharge usage is higher than production.
	Re-added Dummy PartModule to all command pods so that they are considered ReservePower consumers by the Engineers report in the Editor, this will stop the Engineers report reporting that there is no consumer of ReservePower 
	on each vessel.	
	Power Turn feature - Now applies power turn power to ALL reaction wheels on the vessel and consumes additional power turn EC for ALL reaction wheels whilst power turn is active.
	Fixed compatibility with NearFuture Technologies reactors to correctly show power production from reactors.
	Fixed compatibility with NearFuture Solar arrays to correctly show the actual power output in flight.
	Fixed compatibility with Aviation Lights mod to correctly show power usage of lights.
	Fixed compatibility with SCANSat to show correct power usage when scanners are active only.
	Fixed compatibility with TAC LS - Command pods and converter modules now correctly show power usage.
	Under the covers internal code changes to reflect other mods for EC usage (going forward AmpYear does not need to be updated every time a mod that it tracks for EC is updated). It should also now support backwards and forwards compatibility
	of all supported mods (unless the authors of those mods made drastic changes, which can still occur, but less frequently than before).
V1.0.3.0 Updated to support NFE V0.5.3 and RemoteTech 1.6.8
V1.0.2.0 Exclude MechJeb parts from having reserve power by default.    
	Changed SAS usage to include any reaction wheel usage that is not via standard SAS (eg. Mechjeb). 
	Added REPOSoftTech Agency config.  
	Updated to support the following versions of other mods to report their EC usage correctly:   
		AntennaRange 1.10.1, KAS 0.5.4, NFE 0.5.1, NFS 0.5.21, RemoteTech 1.6.7, SCANSat 14.1, TeleMachus 1.4.30        
V1.0.1.0 GUI Fixes and Enhancements  
	Fixed Toolbar/AppLauncher Icon issue.  
	 GUI Improvements.  
	 Added Part List screen to the Flight GUI. So you can now see EC  consumption and production per part in Flight (as well as SPH/VAB as you  could before).  
	 Support latest SCANSat V14.0. if you use SCANSat you will have to update it to this version for it to work with AmpYear.  
V1.00 Time for full release.  Version bumped to 1.0.0.0
	Fixes to new 4-way ION RCS, it now works. Fixed attach points for 4-way ION RCS. Fixed texture for 4-way ION RCS.  
	Updated to latest versions of NFE/NFS, KAS, AntennaRange, RemoteTech, ScanSat, Telemachus.  
	Support for KSP 1.0.4  
V0.18 Support for KSP 1.0.3
V0.17 Added NEW 4-way ION RCS Block.  
	Fixed NullRef errors when active vessel is destroyed.
	Updated to latest version of all supported mods.  
V0.16a Fix ZIP File binary. Had V0.15 Binary in the zip.  
V0.16 bug fix in editor causing log spam. added KSP-AVC support.  converted all textures to DDS format. Updated to support RemoteTech  v1.6.4. Updated to support ScanSAT v12  
V0.15 Support KSP 1.0.2. Fixed log spam if incorrect version of TACLS is  installed. Support for: TACLS v0.11.1.20, AntennaRange V1.8, Near  Future Solar V0.5.0  
V0.14 Support for KSP V1.0.0. Removed support for SCANSat and Regolith  (now covered by stock). Basic support for new resources parts.  Deprecated z500 reserve power battery. Balanced parts to new Tech Tree.  
V0.13a Fixed Blizzy Toolbar and Stock AppLauncher, recompiled for  correct integration with KabinKraziness. Merged install directories for  AmpYear and KabinKraziness to /gamedata/REPOSoftTech/ folder.  
V0.13 Removed KabinKraziness. Fixed high warp rates, re-implemented auto-hibernate at high warp.   
V0.12e Changed default setting for the Power Manager to be ON  
V0.12d Fixed Vessel switching bug (save settings correctly). Kraziness  balancing. Removed Auto-Hibernate and added timewarp/low power warning  pop-up. Updated to latest versions of other mods.  
V0.12c Fixed duplicated battery parts in distribution zip file.  
v0.12b Merged Heater and Cooler into one Climate Control Function. More tweaks to craziness calculations.  
v0.12a fixed loading error. GUI improvements. Added distance from Kerbin to Craziness calc.